<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateArticleTable extends Migration {

	public function up()
	{
		Schema::create('article', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('user_id')->unsigned();
			$table->string('article_title', 50);
			$table->string('article_slug', 100);
			$table->enum('article_type', array('1', '2', '3', '4', '5'));
			$table->text('article_description');
			$table->string('article_image', 50)->nullable();
			$table->timestamps();
			$table->softDeletes();
			$table->integer('category_id')->unsigned()->nullable();
		});
	}

	public function down()
	{
		Schema::drop('article');
	}
}